Bug 71115 - signal 11 in loader when %post has escaped newlines
signal 11 in loader when %post has escaped newlines
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: 71980 74371 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-08-08 18:09 EDT by Mike McLean
Modified: 2007-04-18 12:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-07 14:16:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2002-08-08 18:09:54 EDT
* Milan-re0808.0

I got a signal 11 just after the kickstart file was recieved (via nfs).  The
kickstart was pretty normal except for the %post which looked like:
cat >/root/autotest.sh <<ENDOFSCRIPT
<insert large script here>
bash /root/autotest.sh install_cron

[I will attach the full kickstart file]
Comment 2 Michael Fulbright 2002-08-12 15:39:07 EDT
Will look at.
Comment 3 Mike McLean 2002-08-14 13:20:11 EDT
I've beaten this problem down to a several very small %posts.  Here are some
examples that cause the signal 11:

echo \
this is a test

echo 'this is
a test

echo '
this is 
a test'

Oddly enough, the following %post does not cause the signal 11.

echo 'this is
a test'

And I believe this problem goes back a ways.  I was able to get this error with
7.3 and 7.2 installs.  Haven't tried others yet.
Comment 4 Michael Fulbright 2002-08-21 12:56:28 EDT
Oh yeah this is an old problem.

We could probably filter this but not going to change this now.
Comment 5 Mike McLean 2003-01-02 18:46:01 EST
*** Bug 71980 has been marked as a duplicate of this bug. ***
Comment 6 Mike McLean 2003-01-02 18:48:22 EST
jeremy has made some changes that should fix this problem.
Comment 7 Mike McLean 2003-01-07 13:49:29 EST
*** Bug 74371 has been marked as a duplicate of this bug. ***
Comment 8 Mike McLean 2003-01-07 14:16:08 EST
fix verified  -re0106.0

Note You need to log in before you can comment on or make changes to this bug.